package daruma.storage_manager.type_definition;

import daruma.storage_manager.StorageManager;

public class ElementColumnNameFactory
{
	private	ElementColumnNameFactory()
	{
	}

	public	static	final	String	getTopLevelColumnName()
	{
		return( "_value_" );
	}

	public	static	final	String	getTopLevelColumnName( int  i )
	{
		return( "_value_" + StorageManager.SHORT_XPATH_SEPARATOR + i );
	}

	public	static	final	String	getColumnName( String  base ,  int  i )
	{
		return( base + StorageManager.SHORT_XPATH_SEPARATOR + i );
	}

	public	static	final	String	getCoiceElementIndexColumnName
						     ( String  base )
	{
		return( base + StorageManager.SHORT_XPATH_SEPARATOR
			+ "choice_element_index" );
	}
}
